---
title: AbortSignal.onabort
slug: Web/API/AbortSignal/onabort
tags:
  - API
  - AbortSignal
  - Event Handler
  - Experimental
  - Fetch
  - Property
  - Reference
  - onabort
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>onabort</code></strong> read-only property of the {{domxref("FetchSignal")}} interface is an event handler Invoked when an {{event("abort_(cancellable_fetch)", "abort")}} event fires, i.e. when the fetch request(s) the signal is communicating with is/are aborted.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">abortSignal.onabort = function() { ... };</pre>

<h2 id="Examples">Examples</h2>

<p>In the following snippet, we create a new <code>AbortController</code> object, and get its {{domxref("AbortSignal")}} (available in the <code>signal</code> property). Later on we check whether or not it the signal has been aborted using the <code>onabort</code> property, and send an appropriate log to the console.</p>

<pre class="brush: js notranslate">var controller = new AbortController();
var signal = controller.signal;

signal.onabort = function() {
  console.log('Request aborted');
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-abortsignal-aborted', 'onabort')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AbortSignal.onabort")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a></li>
</ul>
